libmspub::DynamicCustomShape Struct Reference documentation

libmspub::DynamicCustomShape Struct Reference

`#include <PolygonUtils.h>`

## Public Member Functions
| DynamicCustomShape (unsigned coordWidth, unsigned coordHeight)

## Public Attributes
std::vector< Vertex > | m_vertices
std::vector< unsigned short > | m_elements
std::vector< Calculation > | m_calculations
std::vector< int > | m_defaultAdjustValues
std::vector< TextRectangle > | m_textRectangles
std::vector< Vertex > | m_gluePoints
unsigned | m_coordWidth
unsigned | m_coordHeight
unsigned char | m_adjustShiftMask

## Constructor & Destructor Documentation

## ◆ DynamicCustomShape()

libmspub::DynamicCustomShape::DynamicCustomShape | ( | unsigned | coordWidth,
|  | unsigned | coordHeight )
| inline

## Member Data Documentation

## ◆ m_adjustShiftMask

unsigned char libmspub::DynamicCustomShape::m_adjustShiftMask

Referenced by DynamicCustomShape(), and libmspub::getFromDynamicCustomShape().

## ◆ m_calculations

std::vector<Calculation> libmspub::DynamicCustomShape::m_calculations

Referenced by DynamicCustomShape(), libmspub::MSPUBParser::getDynamicCustomShape(), and libmspub::getFromDynamicCustomShape().

## ◆ m_coordHeight

unsigned libmspub::DynamicCustomShape::m_coordHeight

Referenced by DynamicCustomShape(), and libmspub::getFromDynamicCustomShape().

## ◆ m_coordWidth

unsigned libmspub::DynamicCustomShape::m_coordWidth

Referenced by DynamicCustomShape(), and libmspub::getFromDynamicCustomShape().

## ◆ m_defaultAdjustValues

std::vector<int> libmspub::DynamicCustomShape::m_defaultAdjustValues

Referenced by DynamicCustomShape(), and libmspub::getFromDynamicCustomShape().

## ◆ m_elements

std::vector<unsigned short> libmspub::DynamicCustomShape::m_elements

Referenced by DynamicCustomShape(), libmspub::MSPUBParser::getDynamicCustomShape(), and libmspub::getFromDynamicCustomShape().

## ◆ m_gluePoints

std::vector<Vertex> libmspub::DynamicCustomShape::m_gluePoints

Referenced by DynamicCustomShape(), and libmspub::getFromDynamicCustomShape().

## ◆ m_textRectangles

std::vector<TextRectangle> libmspub::DynamicCustomShape::m_textRectangles

Referenced by DynamicCustomShape(), and libmspub::getFromDynamicCustomShape().

## ◆ m_vertices

std::vector<Vertex> libmspub::DynamicCustomShape::m_vertices

Referenced by DynamicCustomShape(), libmspub::MSPUBParser::getDynamicCustomShape(), and libmspub::getFromDynamicCustomShape().

The documentation for this struct was generated from the following file:

- PolygonUtils.h